#!/usr/bin/env bash

PUBKEY=$(cat nostr.json | jq -r .pubkey)

echo "[\"REQ\", \"x\", { \"kinds\" : [611], \"limit\" : 0, \"#p\" : [\"${PUBKEY}\"] }]" | websocat -n --ping-interval 20 wss://npub.info | while read -r line; do
  # Process each line received here
  echo "Received: $line"
  
  echo "$line" | jq
  
  TYPE=$(echo "$line" | jq -r ".[0]")
  
  echo "type: --${TYPE}--"
  
  if [ "$TYPE" = "EVENT" ]
  then
    echo event
    bash -x bin/validate.sh
    
    time bash -x bin/post.sh
    
    # /home/melvin/go/bin/nak event -c "deployed" --kind 612 --sec $(git config nostr.privkey)  wss://npub.info/  &
    
  fi
  
  
done

